**Source URL:** https://limited.veevavault.dev/regulatory/vault-api/api-reference/22.1/rim-submissions-archive/retrieve-submission-import-results.md

# Retrieve Submission Import Results



After Vault has finished processing the submission import job, use this request to retrieve the results of the completed submission binder.

Before submitting this request:

* You must be assigned permissions to use the API and permissions to view the specified `submission__v` object record.

* There must be a previously submitted and completed submission import request, i.e., the status of the import job must be no longer active.

<Endpoint path="/api/{version}/vobjects/submission_\_v/{submission_id}/actions/import/{job_id}/results" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/xml` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `{submission_id}` | The `id` field value of the `submission__v` object record. See [Retrieve Object Record Collection](/vault-api/api-reference/22.1/vault-objects/retrieve-object-record-collection) above. |
| `{job_id}` | The `jobId` field value returned from the [Import Submission](/vault-api/api-reference/22.1/rim-submissions-archive/import-submission) request above. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v15.0/vobjects/submission__v/00S000000000101/actions/import/1301/results

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
  "responseStatus": "SUCCESS",
  "data": [
    {
      "responseStatus": "SUCCESS",
      "id": 16,
      "major_version_number__v": "1",
      "minor_version_number__v": "0"
    }
  ]
}

```
</CodeExample>

## Response Details {#response-details}

On SUCCESS, the response includes the following information:

<FieldTable>
| Field Name | Description |
| --- | --- |
| `id` | The `id` field value of the submission binder which was created by the imported files. |
| `major_version_number__v` | The major version number of the binder. |
| `minor_version_number__v` | The minor version number of the binder. |
</FieldTable>
To retrieve the metadata from the newly created submission binder, send `GET` to `/api/{version}/objects/binders/{id}`.



---

**Previous:** [Import Submission](/regulatory/vault-api/api-reference/22.1/rim-submissions-archive/import-submission)  
**Next:** [Retrieve Submission Metadata Mapping](/regulatory/vault-api/api-reference/22.1/rim-submissions-archive/retrieve-submission-metadata-mapping)